ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
-  package fragment
  Definition Classes
    ds
-  package read
  Definition Classes
    ds
-  package sequence
  Definition Classes
    ds
-  package variant
  Definition Classes
    ds
- ADAMContext
- ADAMSaveAnyArgs
- AvroGenomicDataset
- AvroReadGroupGenomicDataset
- DatasetBoundGenericGenomicDataset
- DatasetBoundGenomicDataset
- FullOuterShuffleRegionJoin
- GenericConverter
- GenericGenomicDataset
- GenomeBins
- GenomicBroadcast
- GenomicDataset
- GenomicDatasetConversion
- GenomicDatasetWithLineage
- GenomicPositionPartitioner
- GenomicRegionPartitioner
- InFormatter
- InFormatterCompanion
- InnerShuffleRegionJoin
- InnerShuffleRegionJoinAndGroupByLeft
- InnerTreeRegionJoin
- InnerTreeRegionJoinAndGroupByRight
- LeftOuterShuffleRegionJoin
- LeftOuterShuffleRegionJoinAndGroupByLeft
- MultisampleAvroGenomicDataset
- MultisampleGenomicDataset
- OutFormatter
- RDDBoundGenericGenomicDataset
- ReferencePartitioner
- RegionJoin
- RightOuterShuffleRegionJoinAndGroupByLeft
- RightOuterTreeRegionJoin
- RightOuterTreeRegionJoinAndGroupByRight
- ShuffleRegionJoin
- SortedIntervalPartitionJoinWithVictims
- TreeRegionJoin
- VictimlessSortedIntervalPartitionJoin

c

org.bdgenomics.adam.ds

# GenomicPositionPartitioner 

###
Companion object GenomicPositionPartitioner

#### case class GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long]) extends Partitioner with Logging with Product with Serializable

GenomicPositionPartitioner partitions ReferencePosition objects into separate, spatially-coherent regions of the genome.

This can be used to organize genomic data for computation that is spatially distributed (e.g. GATK and Queue's "scatter-and-gather" for locus-parallelizable walkers).

numParts

  The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

seqLengths

  a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenomicPositionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GenomicPositionPartitioner(numParts: Int, seqLengths: Map[String, Long])

   numParts

     The number of equally-sized regions into which the total genomic space is partitioned; the total number of partitions is numParts + 1, with the "+1" resulting from one extra partition that is used to capture null or UNMAPPED values of the ReferencePosition type.

   seqLengths

     a map relating sequence-name to length and indicating the set and length of all extant sequences in the genome.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
7.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
8.  def debug(msg: ⇒ Any): Unit
   Attributes
     protected
   Definition Classes
     Logging
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
12.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def getPartition(key: Any): Int

    Computes the partition for a key.

    Computes the partition for a key.

    key

      A key to compute the partition for.

    returns

      The partition that this key belongs to.

    Definition Classes
      GenomicPositionPartitioner → Partitioner
    Exceptions thrown

      `IllegalArgumentException` if the key is not a ReferencePosition, or (ReferencePosition, _) tuple.

15.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
18.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
19.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
20.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
23.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
24.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
25.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  def numPartitions: Int

    This is the total number of partitions for both mapped and unmapped positions.

    This is the total number of partitions for both mapped and unmapped positions. All unmapped positions go into the last partition.

    Definition Classes
      GenomicPositionPartitioner → Partitioner
    See also

      parts

30.  val numParts: Int
31.  val seqLengths: Map[String, Long]
32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      GenomicPositionPartitioner → AnyRef → Any
34.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
35.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
36.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped